/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997-2006 Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Sam Lantinga
    slouken@libsdl.org
*/

/* Include file for SDL application focus event handling */

#ifndef _SDL_wiz_dev_h
#define _SDL_wiz_dev_h

#include "SDL_stdinc.h"
#include "SDL_error.h"

#include "begin_code.h"
/* Set up for C function definitions, even when using C++ */
#ifdef __cplusplus
extern "C" {
#endif

#define SDL_WIZ_BATTRY_INIT    0x01

/* pollux_key ioctl command */
enum _pollux_keyif_ioctl
{
	IOCTL_GET_TIME,
	IOCTL_SET_TIME,
	IOCTL_SET_POWER_OFF,
	IOCTL_GET_INFO_LSB,
	IOCTL_GET_INFO_MSB,
	IOCTL_GET_USB_CHECK,
	IOCTL_SET_SOFT_DISCONNECT,
	IOCTL_SET_SOFT_CONNECT,
	IOCTL_GET_FW_VERSION,
	IOCTL_GET_INSERT_SDMMC,
	IOCTL_GET_BOARD_VERSION,
	IOCTL_GET_HOLD_STATUS,
	IOCTL_GET_PWR_STATUS,
	IOCTL_GET_ID_NUM,
	IOCTL_SET_ID_NUM,
	IOCTL_GET_ID_STATUS,
	IOCTL_GET_USB_WIRELESS_LAN,
	IOCTL_SET_USB_MEMORY_STICK_MOUNT,
	IOCTL_GET_USB_MEMORY_STICK_MOUNT,
	IOCTL_GET_USB_MEMORY_STICK_ENABLE    
};

struct SDL_WizDevif {
    int batt_fd;   
    int vib_fd;
    int gpio_fd;
};

/* Battery */
extern DECLSPEC int SDL_WizDevIfInit(Uint32 init);
extern DECLSPEC int SDL_WizDevIfQuit(void);
extern DECLSPEC int SDL_GetBattryCheck(Uint16 *battry_status);

/* Vibrate */
extern DECLSPEC int SDL_VibrateInit(void);
extern DECLSPEC int SDL_VibrateQuit(void);
extern DECLSPEC int SDL_VibratePlay(int _value);

/* GPIO IOCTRL */
extern DECLSPEC int SDL_OpenGPIO(void);
extern DECLSPEC int SDL_CloseGPIO(void);
extern DECLSPEC int SDL_SDStatus(void);
extern DECLSPEC int SDL_HoldStatus(void);
extern DECLSPEC int SDL_USBWLANStatus(void);
extern DECLSPEC int SDL_SYS_JoystickUsbConCheck(void);
extern DECLSPEC int SDL_SYS_JoystickUsbDisconnect(void);
extern DECLSPEC int SDL_USBSETStatus(void);
extern DECLSPEC int SDL_USBGETStatus(void);
extern DECLSPEC int SDL_USBENABLEStatus(void);

/* Ends C function definitions when using C++ */
#ifdef __cplusplus
}
#endif
#include "close_code.h"

#endif /* _SDL_wiz_dev_h */
